import { all } from "redux-saga/effects";
import adsSaga from "./adsSaga";
import candidatesSaga from './candidatesSaga';
import loginSaga from "./loginSaga";
import technologiesSaga from "./technologiesSaga";
import usersSaga from "./usersSaga";
import processesSaga from "./processSaga";

export default function* rootSaga() {
  yield all([
    loginSaga(),
    usersSaga(),
    adsSaga(),
    technologiesSaga(),
    candidatesSaga(),
    processesSaga(),
  ]);
}
